Bug 197851 - Remove conflict between deskutils/notification-daemon and deskutils/xfce4-notifyd
Summary: Remove conflict between deskutils/notification-daemon and deskutils/xfce4-not...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL: https://bugs.mageia.org/show_bug.cgi?...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-20 14:58 UTC by Ben Woods
Modified: 2015-02-22 21:02 UTC (History)
3 users (show)

See Also:


Attachments
Patch to remove conflict between deskutils/notification-daemon and deskutils/xfce4-notifyd (975 bytes, patch)
2015-02-20 15:10 UTC, Ben Woods
woodsb02: maintainer-approval? (ehaupt)
woodsb02: maintainer-approval? (gnome)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2015-02-20 14:58:39 UTC
A user cannot currently install multimedia/banshee on the XFCE desktop, because it relies on deskutils/notification-daemon, whilst XFCE uses deskutils/xfce4-notifyd, and the ports system has registered a conflict between these two ports.
https://lists.freebsd.org/pipermail/freebsd-ports/2015-February/098109.html

deskutils/xfce4-notifyd has been modified upstream such that it no longer has any overlapping files with deskutils/notification-daemon. There is no longer a file conflict, and having both installed at the same time does not break functionality of whichever is being used by the active desktop environment.

For reference, a similar bug was previously fixed in the Mageia Linux project:
https://bugs.mageia.org/show_bug.cgi?id=12480
Comment 1 Bugzilla Automation freebsd_committer 2015-02-20 14:58:39 UTC
Maintainers CC'd
Comment 2 Ben Woods freebsd_committer 2015-02-20 15:10:10 UTC
Created attachment 153220 [details]
Patch to remove conflict between deskutils/notification-daemon and deskutils/xfce4-notifyd
Comment 3 Emanuel Haupt freebsd_committer 2015-02-21 06:56:05 UTC
I've just tested this and it seems indeed that the following 3 ports can coexist:

deskutils/xfce4-notifyd
deskutils/notification-daemon
deskutils/xfce4-notification-daemon
Comment 4 Emanuel Haupt freebsd_committer 2015-02-21 06:56:40 UTC
Over to gnome@ for a second opinion.
Comment 5 commit-hook freebsd_committer 2015-02-22 21:01:48 UTC
A commit references this bug:

Author: kwm
Date: Sun Feb 22 21:01:46 UTC 2015
New revision: 379629
URL: https://svnweb.freebsd.org/changeset/ports/379629

Log:
  Update CONFLICTS.

  xfce4-notifyd was updated to no longer conflict with notification-daemon.
  There is no conflict anymore between notification-daemon and
    xfce4-notification-daemon
  Only notify-osd and xfce4-notification-daemon conflict with each other.

  PR:		197851 (based on)
  Submitted by:	Ben Woods <woodsb02@gmail.com>
  Reviewed by:	maintainer (ehaupt@)

Changes:
  head/deskutils/notification-daemon/Makefile
  head/deskutils/xfce4-notification-daemon/Makefile
  head/deskutils/xfce4-notifyd/Makefile